#include <config.hpp>
#include <gtkmm.h>
#include <libbonoboui.h>
#include <libgnomevfs/gnome-vfs.h>
#include <gettext.h>

class EicielContainer : public Gtk::Window
{
	private:
		Gtk::VBox principal;
		Gtk::HBox superior;
		Gtk::HButtonBox inferior;
		Gtk::Button escollirFitxer;
		Gtk::Label nomFitxer;
		Gtk::Button sortir;
		Gtk::Button ajuda;
		Gtk::Button quantA;

		Bonobo_PropertyBag pbc;

		void sortidaAplicacio();
		void oberturaFitxer();
		bool obrirFitxer(Glib::ustring nom);
		Glib::ustring missatgeError();
	public:
		EicielContainer();
};
