#include "config.hpp"
#include <gtkmm.h>
#include <libbonoboui.h>
#include <gettext.h>
#include "eiciel_container.hpp"

int main(int argc, char* argv[])
{
#ifdef ENABLE_NLS
    setlocale(LC_ALL, "");
    bindtextdomain("eiciel", DATADIR "/locale");
    textdomain("eiciel");
    
    // Volem les traduccions en UTF-8 (independentment del
    // format usat per a traduir)
    bind_textdomain_codeset ("eiciel", "UTF-8");
#endif
	
	if (!bonobo_ui_init("eiciel-container", "1.0", &argc, argv))
	{
		g_error(_("Cannot start libbonoboui. Aborting"));
		return 1;
	}

	Gtk::Main kit(argc, argv);

	EicielContainer w;

	kit.run(w);

	return 0;
}

